libraw1394: version 2.0.4
Prev |  | Next

# raw1394_iso_xmit_write

## Name

raw1394_iso_xmit_write -- alternative blocking-write API for ISO transmission

## Synopsis

``int raw1394_iso_xmit_write` (raw1394handle_t handle, unsigned char * data, unsigned int len, unsigned char tag, unsigned char sy);`

## Arguments

`handle`

  libraw1394 handle

`data`

  pointer to packet data buffer

`len`

  length of packet, in bytes

`tag`

  tag field

`sy`

  sync field

## Description

`write` style API - do NOT use this if you have set an xmit_handler if buffer is full, waits for more space UNLESS the file descriptor is set to non-blocking, in which case `xmit_write` will return -1 with errno = EAGAIN

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
raw1394_iso_recv_start | Up | raw1394_iso_xmit_sync